Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.importer
Class HtmlTableImporter

    java.lang.Object
      org.makumba.importer.HtmlTableImporter

    public class HtmlTableImporter

extends Object

Utility class making it possible to import data from a HTML table into a Makumba-based database. This class was created in order to import data from a Lotus Notes database, since there was no other mean to extract data than this one.

Version:
  $Id: HtmlTableImporter.java 3576 2009-01-06 00:26:34Z manuel_gay $
Author:
  Cristian Bogdan

Field Summary
`(package private) Vector<String>` | `data`
`(package private) Transaction` | `db`
`(package private) String[]` | `fieldOrder`
`(package private) ObjectImporter` | `imp`
`(package private) boolean` | `inCell`
`(package private) boolean` | `inRow`
`(package private) String` | `text`
`(package private) String` | `type`

Constructor Summary
`HtmlTableImporter(Transaction db, DataDefinition type, Reader r, String tableStartTag, String[] fieldOrder)`

Method Summary
`static void` | `_delete(String whereDB, String provenienceDB, String[] typeNames)` Deletes the records of certain types that originate from a certain database.
`static void` | `_delete(String whereDB, String provenienceDB, String[] typeNames, boolean ignoreDbsv)` Deletes the records of certain types.
`(package private) void` | `endOfCell()`
`(package private) void` | `endOfRow()`
`(package private) Dictionary<String,Object>` | `importVector()`
`static void` | `main(String[] argv)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### imp

    ObjectImporter imp

### inRow

    boolean inRow

### inCell

    boolean inCell

### text

    String text

### data

    Vector<String> data

### fieldOrder

    String[] fieldOrder

### type

    String type

### db

    Transaction db

Constructor Detail

### HtmlTableImporter

    public HtmlTableImporter(Transaction db,
                             DataDefinition type,
                             Reader r,
                             String tableStartTag,
                             String[] fieldOrder)
                      throws IOException

Throws:
  `IOException`

Method Detail

### endOfCell

    void endOfCell()

### endOfRow

    void endOfRow()

### importVector

    Dictionary<String,Object> importVector()

### _delete

    public static void _delete(String whereDB,
                               String provenienceDB,
                               String[] typeNames,
                               boolean ignoreDbsv)

  Deletes the records of certain types. Useful for failed imports or copies. The database configuration must have admin# confirmations that match each of the indicated types. Use _delete(d, d, ...) for databases that need re-import of data of certain types. Deletion is logged (see `Logger`, `MakumbaSystem.setLoggingRoot(java.lang.String)`) in the `"db.admin.delete"` logger, with `Level.INFO` logging level.

### _delete

    public static void _delete(String whereDB,
                               String provenienceDB,
                               String[] typeNames)

  Deletes the records of certain types that originate from a certain database. Useful for failed imports or copies. The database configuration must have admin# confirmations that match each of the indicated types. Use _delete(d, d, ...) for databases that need re-import of data of certain types. Deletion is logged (see `Logger`, `MakumbaSystem.setLoggingRoot(java.lang.String)`) in the `"db.admin.delete"` logger, with `Level.INFO` logging level.

### main

    public static void main(String[] argv)
                     throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20